URL shortener

The endpoint allows to shorten URLs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Account activated feature

Please note, the service is available for use after communication with our support department.

🚧

Caution

Please note, that the maximum number of the objects for the array is 20.

RESPONSE PARAMETERS

KEYTYPEDESCRIPTION
linkstring(limitations according to the one currently in the platform)The short url to use.
trackingIdstring (format and size according to the standards used in the platform)The tracking id of the short url that was created.
expirationDatestring (date with format 2016-06-23T06:55:57Z)The date that the url will be no longer available.
createdAtstring (date with format 2016-06-23T06:55:57Z)The date the url was created.
tagsObject [Optional Field] Must not be nullA map of string field values to store information

CONSTRAINTS AND ERRORS

PATHCONSTAINTSSTATUSMESSAGE
name*1. Must not be blank.
2. Size must be between 0 and 200 inclusive
1. 400;
2. 400.
1. "urls[0].name: must not be blank",
2. "urls[0].name: size must be between 0 and 200",
domain*1. Must not be blank;
2. Size must be between 0 and 100 inclusive;
3. Domain should be valid.
1. 400;
2. 400;
3. 404.
1. "urls[0].domain: must not be blank";
2. "urls[0].domain: size must be between 0 and 100";
3. "Domain not found";
longUrl*1. Must be a well-formed URL;
2. Must not be blank;
3. Size must be between 0 and 1900 inclusive.
1. 400;
2. 400;
3. 400.
1. "urls[0].longUrl: must be a valid URL";
2. "urls[0].longUrl: must not be blank;
3. "urls[0].longUrl: size must be between 0 and 1900.
callbackUrl[Optional Field]
1. Must be a well-formed URL;
2. Size must be between 0 and 1024 inclusive.
1. 400;
2. 400.
1. "urls[0].callbackUrl: must be a valid URL",
2. "urls[0].callbackUrl: size must be between 0 and 1024,urls[0].callbackUrl: must be a valid URL"
validity[Optional Field]
1. Must be at least 3600;
2. Must be at most 2592000
1. 400;
2. 400.
1."urls[0].validity: must be greater than or equal to 3600"
2. "urls[0].validity: must be less than or equal to 2592000".
tags[Optional Field]
1. Must not be null
Body Params
string
required

A human readable name for the shortened url. This will help identify the url in a table, or when fetching analytics data.

string
required

The url to be shortened.

string
required

The domain to use when shortening the url. Will be one of the domains registered by the customer, if one is not available we will return an error.

int32
Defaults to 32

[Optional] For Premium and Enterprise packages the max will be set to 5.184e+6 and 7.776e+6 respectively.

string

[Optional] The callback we call when a link is clicked. Payload information can be found here.

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer: {access_token}

Bearer: {access_token}

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json